module coffee;

import std.stdio : writeln;

class Coffee
{
    void prepareRecipe()
    {
        boilWater();
        brewCoffeeGrinds();
        pourInCup();
        addSugarAndMilk();
    }
 
    void boilWater()
    {
        writeln("Boiling water");
    }
 
    void brewCoffeeGrinds()
    {
        writeln("Dripping Coffee through filter");
    }
 
    void pourInCup()
    {
        writeln("Pouring into cup");
    }
 
    void addSugarAndMilk()
    {
        writeln("Adding Sugar and Milk");
    }
}
